/*****

File: tisu.h
--------------
Library package blocking methods

*****/

#ifndef _tisu_h
#define _tisu_h

double emp_quantile(double p, double *x, int x_length);
double emp_quantile(double p, const VectorDouble &x);
double emp_combined_quantile(double p, double *points, double *value, int n_comb);
double upper_Pvalue(double observed, double *x, int x_length);
double lower_Pvalue(double observed, double *x, int x_length);
double upper_Pvalue(double observed, const VectorDouble &x);
double lower_Pvalue(double observed, const VectorDouble &x);
int length_sub(int n, int b, int lag);
void display_ivector(int *v, int nl, int nh);
void display_dvector(double *v, int nl, int nh);
void display_dmatrix(double **m, long nrl, long nrh, long ncl, long nch);

#endif /* tisu.h */
